import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../../services/model.service";
import { StiLocalizationService } from "../../../../../services/sti-localization.service";
import * as i0 from "@angular/core";
export declare class TableNavigationComponent implements OnInit {
    loc: StiLocalizationService;
    model: StiModelService;
    constructor(loc: StiLocalizationService, model: StiModelService);
    setTablePropertyHeader(header: any): void;
    getClass(header: string): "current" | "other";
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableNavigationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableNavigationComponent, "table-navigation", never, {}, {}, never, never, false, never>;
}
